body {
	font-family: Arial, sans-serif;
	background-color: #f4f4f4;
	color: #333;
	margin: 0;
	padding: 10px;
}

.header-container {
	display: flex;
	justify-content: space-between;
	align-items: center;
	background-color: black;
	padding: 10px;
}

.header-container .logo {
	height: 50px;
}

.header-container h4 {
	margin: 0;
	color: white;
	margin-left: auto;
}

.header-container h4 a {
	background-color: white;
	color: black;
	padding: 5px 10px;
	text-decoration: none;
	border-radius: 5px;
	transition: background-color 0.3s, color 0.3s;
}

.header-container h4 a.selected {
	background-color: lightgreen;
	color: black;
}

.header-container h4 a:hover {
	background-color: lightgreen;
	color: black;
}

@media (max-width: 768px) {
	.header-container {
		flex-direction: column;
		align-items: center;
		text-align: center;
	}

	.header-container h4 {
		margin-top: 10px;
		margin-left: 0;
	}
}

ul {
	list-style-type: none;
	padding: 0;
}

li {
	display: inline-block;
	margin: 0 0.125em 0.125em 0;
	position: relative;
	background-color: #fff;
	border: 2px solid #000;
	border-radius: 4px;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
	overflow: hidden;
	cursor: pointer;
}

li img {
	display: block;
}

ul.gallery-lg li {
	margin: 0 0.5em 0.5em 0;
}

li.title {
	display: block;
	text-align: center;
}

li.title h3 {
	margin: 0;
	padding: 5px;
	background-color: #333;
	color: white;
}

img {
	object-fit: cover;
}

ul.gallery-xl li img {
	width: 960px;
	height: 540px;
}

ul.gallery-lg li img {
	width: 320px;
	height: 180px;
}

ul.gallery-sm li img {
	width: 160px;
	height: 90px;
}

ul.gallery-md li img {
	width: 320px;
	height: 180px;
}

.link-container {
	text-align: center;
}

.link-container a {
	color: black;
	text-decoration: none;
	padding: 5px 10px;
	transition: color 0.3s;
	font-size: 12px;
}

.link-container a.selected {
	font-weight: bold;
}

.link-container a:hover {
	color: lightgreen;
}

.content-container {
	display: flex;
	justify-content: space-between;
	align-items: flex-start;
}

.gallery-container {
	flex: 1;
}

.slideshow-hidden {
	display: none !important;
}

.overlay {
	position: absolute;
	width: 100%;
	background: rgba(0, 0, 0, 0.5);
	color: white;
	text-align: center;
	font-size: 0.75em;
	padding: 5px 0;
}

.overlay-bottom {
	bottom: 0;
	left: 0;
}

.overlay-top {
	top: 0;
	left: 0;
}

ul.gallery-sm li .overlay {
	font-size: 0.65em;
}

ul.gallery-md li .overlay {
	font-size: 0.5em;
}

.thumb-overlay {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	background: rgba(0, 0, 0, 0.5);
	color: white;
	text-align: center;
	font-size: 0.75em;
	padding: 2px 0;
	border-bottom-left-radius: 4px;
	border-bottom-right-radius: 4px;
}

.highlight {
	position: relative;
	border: 2px solid #8B0000;
}

.highlight::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(139, 0, 0, 0.5);
	pointer-events: none;
	z-index: 1;
}

.highlight img {
	position: relative;
	z-index: 0;
}

.modal {
	display: none;
	position: fixed;
	z-index: 1;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	overflow: auto;
	background-color: rgba(0, 0, 0, 0.9);
	align-items: center;
	justify-content: center;
}

.modal-content {
	position: relative;
	margin: auto;
	width: 90%;
	max-width: 900px;
}

.modal-content img {
	width: 100%;
	height: auto;
}

.modal-overlay {
	position: absolute;
	width: 100%;
	background: rgba(0, 0, 0, 0.5);
	color: white;
	text-align: center;
	font-size: 1em;
	padding: 10px 0;
}

.modal-overlay-bottom {
	bottom: 0;
	left: 0;
}

.modal-overlay-top {
	top: 0;
	left: 0;
}

.modal-highlight {
	position: relative;
	border: 5px solid red;
}

.modal-highlight::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background-color: rgba(139, 0, 0, 0.5);
	pointer-events: none;
	z-index: 1;
}

.modal-footer {
	position: relative;
	width: 100%;
	background: rgba(0, 0, 0, 0.7);
	color: white;
	text-align: center;
	font-size: 1em;
	padding: 10px 0;
	margin-top: 10px;
}

.close {
	position: absolute;
	top: 20px;
	right: 25px;
	color: #fff;
	font-size: 35px;
	font-weight: bold;
	z-index: 2;
}

.close:hover,
.close:focus {
	color: #bbb;
	text-decoration: none;
	cursor: pointer;
}

.prev,
.next {
	cursor: pointer;
	position: absolute;
	top: 50%;
	width: auto;
	padding: 16px;
	margin-top: -22px;
	color: white;
	font-weight: bold;
	font-size: 20px;
	transition: 0.6s ease;
	user-select: none;
	z-index: 2;
}

.prev {
	left: 0;
	border-radius: 0 3px 3px 0;
}

.next {
	right: 0;
	border-radius: 3px 0 0 3px;
}

.prev:hover,
.next:hover {
	background-color: rgba(0, 0, 0, 0.8);
}

.thumb-wrapper {
	width: 300px;
	display: block;
}

.shortcut-legend {
	margin-top: 5px;
	padding: 10px;
	background-color: rgba(0, 0, 0, 0.7);
	border: 1px solid rgba(255, 255, 255, 0.2);
	border-radius: 4px;
	color: #ccc;
	text-align: center;
}

.shortcut-legend h5 {
	margin: 0;
	color: #fff;
}

.shortcut-legend ul {
	list-style-type: none;
	padding: 0;
}

.shortcut-legend li {
	margin-bottom: 5px;
	color: #333;
}

.flexbox .flexbox-item {
	flex-grow: 1;
}

.flexbox {
	display: flex;
	flex-wrap: wrap;
	gap: 10px;
}

.flexbox-item {
	flex: 1 1 calc(33.33% - 10px);
	box-sizing: border-box;
	aspect-ratio: 16 / 9;
	display: flex;
	align-items: center;
	justify-content: center;
}

.flexbox-item img {
	width: 100%;
	height: auto;
}